Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.e-invoice.be/api/validate/json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_type": "INVOICE",
"state": "DRAFT",
"direction": "OUTBOUND",
"customer_name": "<string>",
"customer_id": "<string>",
"customer_email": "<string>",
"purchase_order": "<string>",
"invoice_id": "<string>",
"invoice_date": "2023-12-25",
"due_date": "2023-12-25",
"note": "<string>",
"vendor_name": "<string>",
"vendor_email": "<string>",
"vendor_address": "<string>",
"vendor_address_recipient": "<string>",
"customer_address": "<string>",
"customer_address_recipient": "<string>",
"billing_address": "<string>",
"billing_address_recipient": "<string>",
"shipping_address": "<string>",
"shipping_address_recipient": "<string>",
"currency": "EUR",
"tax_code": "S",
"vatex_note": "<string>",
"subtotal": 123,
"total_discount": 123,
"total_tax": 123,
"invoice_total": 123,
"amount_due": 123,
"previous_unpaid_balance": 123,
"remittance_address": "<string>",
"remittance_address_recipient": "<string>",
"service_address": "<string>",
"service_address_recipient": "<string>",
"service_start_date": "2023-12-25",
"service_end_date": "2023-12-25",
"vendor_tax_id": "BE1018265814",
"vendor_company_id": "1018265814",
"customer_tax_id": "BE1018265814",
"customer_company_id": "1018265814",
"customer_peppol_id": "0208:0123456789",
"payment_term": "<string>",
"payment_details": [
{
"iban": "<string>",
"swift": "<string>",
"bank_account_number": "<string>",
"payment_reference": "<string>"
}
],
"tax_details": [
{
"amount": 123,
"rate": "<string>"
}
],
"items": [
{
"amount": 123,
"date": null,
"description": "<string>",
"quantity": 123,
"product_code": "<string>",
"tax": 123,
"tax_rate": "21.00",
"unit_price": 123,
"allowances": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": 21,
"tax_code": "S"
}
],
"charges": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": "21.00",
"tax_code": "S"
}
],
"item_attributes": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"attachments": [
{
"file_name": "<string>",
"file_type": "application/pdf",
"file_size": 0,
"file_data": "<string>"
}
],
"allowances": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": 21,
"tax_code": "S"
}
],
"charges": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": "21.00",
"tax_code": "S"
}
]
}
'import requests
url = "https://api.e-invoice.be/api/validate/json"
payload = {
"document_type": "INVOICE",
"state": "DRAFT",
"direction": "OUTBOUND",
"customer_name": "<string>",
"customer_id": "<string>",
"customer_email": "<string>",
"purchase_order": "<string>",
"invoice_id": "<string>",
"invoice_date": "2023-12-25",
"due_date": "2023-12-25",
"note": "<string>",
"vendor_name": "<string>",
"vendor_email": "<string>",
"vendor_address": "<string>",
"vendor_address_recipient": "<string>",
"customer_address": "<string>",
"customer_address_recipient": "<string>",
"billing_address": "<string>",
"billing_address_recipient": "<string>",
"shipping_address": "<string>",
"shipping_address_recipient": "<string>",
"currency": "EUR",
"tax_code": "S",
"vatex_note": "<string>",
"subtotal": 123,
"total_discount": 123,
"total_tax": 123,
"invoice_total": 123,
"amount_due": 123,
"previous_unpaid_balance": 123,
"remittance_address": "<string>",
"remittance_address_recipient": "<string>",
"service_address": "<string>",
"service_address_recipient": "<string>",
"service_start_date": "2023-12-25",
"service_end_date": "2023-12-25",
"vendor_tax_id": "BE1018265814",
"vendor_company_id": "1018265814",
"customer_tax_id": "BE1018265814",
"customer_company_id": "1018265814",
"customer_peppol_id": "0208:0123456789",
"payment_term": "<string>",
"payment_details": [
{
"iban": "<string>",
"swift": "<string>",
"bank_account_number": "<string>",
"payment_reference": "<string>"
}
],
"tax_details": [
{
"amount": 123,
"rate": "<string>"
}
],
"items": [
{
"amount": 123,
"date": None,
"description": "<string>",
"quantity": 123,
"product_code": "<string>",
"tax": 123,
"tax_rate": "21.00",
"unit_price": 123,
"allowances": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": 21,
"tax_code": "S"
}
],
"charges": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": "21.00",
"tax_code": "S"
}
],
"item_attributes": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"attachments": [
{
"file_name": "<string>",
"file_type": "application/pdf",
"file_size": 0,
"file_data": "<string>"
}
],
"allowances": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": 21,
"tax_code": "S"
}
],
"charges": [
{
"reason": "<string>",
"multiplier_factor": 50,
"amount": 123,
"base_amount": 123,
"tax_rate": "21.00",
"tax_code": "S"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_type: 'INVOICE',
state: 'DRAFT',
direction: 'OUTBOUND',
customer_name: '<string>',
customer_id: '<string>',
customer_email: '<string>',
purchase_order: '<string>',
invoice_id: '<string>',
invoice_date: '2023-12-25',
due_date: '2023-12-25',
note: '<string>',
vendor_name: '<string>',
vendor_email: '<string>',
vendor_address: '<string>',
vendor_address_recipient: '<string>',
customer_address: '<string>',
customer_address_recipient: '<string>',
billing_address: '<string>',
billing_address_recipient: '<string>',
shipping_address: '<string>',
shipping_address_recipient: '<string>',
currency: 'EUR',
tax_code: 'S',
vatex_note: '<string>',
subtotal: 123,
total_discount: 123,
total_tax: 123,
invoice_total: 123,
amount_due: 123,
previous_unpaid_balance: 123,
remittance_address: '<string>',
remittance_address_recipient: '<string>',
service_address: '<string>',
service_address_recipient: '<string>',
service_start_date: '2023-12-25',
service_end_date: '2023-12-25',
vendor_tax_id: 'BE1018265814',
vendor_company_id: '1018265814',
customer_tax_id: 'BE1018265814',
customer_company_id: '1018265814',
customer_peppol_id: '0208:0123456789',
payment_term: '<string>',
payment_details: [
{
iban: '<string>',
swift: '<string>',
bank_account_number: '<string>',
payment_reference: '<string>'
}
],
tax_details: [{amount: 123, rate: '<string>'}],
items: [
{
amount: 123,
date: null,
description: '<string>',
quantity: 123,
product_code: '<string>',
tax: 123,
tax_rate: '21.00',
unit_price: 123,
allowances: [
{
reason: '<string>',
multiplier_factor: 50,
amount: 123,
base_amount: 123,
tax_rate: 21,
tax_code: 'S'
}
],
charges: [
{
reason: '<string>',
multiplier_factor: 50,
amount: 123,
base_amount: 123,
tax_rate: '21.00',
tax_code: 'S'
}
],
item_attributes: [{name: '<string>', value: '<string>'}]
}
],
attachments: [
{
file_name: '<string>',
file_type: 'application/pdf',
file_size: 0,
file_data: '<string>'
}
],
allowances: [
{
reason: '<string>',
multiplier_factor: 50,
amount: 123,
base_amount: 123,
tax_rate: 21,
tax_code: 'S'
}
],
charges: [
{
reason: '<string>',
multiplier_factor: 50,
amount: 123,
base_amount: 123,
tax_rate: '21.00',
tax_code: 'S'
}
]
})
};
fetch('https://api.e-invoice.be/api/validate/json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"file_name": "<string>",
"is_valid": true,
"issues": [
{
"message": "<string>",
"schematron": "<string>",
"location": "<string>",
"rule_id": "<string>",
"flag": "<string>",
"test": "<string>"
}
],
"ubl_document": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Validate if the JSON document can be converted to a valid UBL document
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The type of document: INVOICE, CREDIT_NOTE, or DEBIT_NOTE
INVOICE, CREDIT_NOTE, DEBIT_NOTE, SELFBILLING_INVOICE, SELFBILLING_CREDIT_NOTE The current state of the document: DRAFT, TRANSIT, FAILED, SENT, or RECEIVED
DRAFT, TRANSIT, FAILED, SENT, RECEIVED The direction of the document: INBOUND (purchases) or OUTBOUND (sales)
INBOUND, OUTBOUND The company name of the customer/buyer
The unique identifier for the customer in your system
The email address of the customer
The purchase order reference number
The unique invoice identifier/number
The date when the invoice was issued
The date when payment is due
Additional notes or comments for the invoice
The name of the vendor/seller/supplier
The email address of the vendor
The address of the vendor/seller
The recipient name at the vendor address
The address of the customer/buyer
The recipient name at the customer address
The billing address (if different from customer address)
The recipient name at the billing address
The shipping/delivery address
The recipient name at the shipping address
Currency of the invoice (ISO 4217 currency code)
EUR, USD, GBP, JPY, CHF, CAD, AUD, NZD, CNY, INR, SEK, NOK, DKK, SGD, HKD Tax category code of the invoice (e.g., S for standard rate, Z for zero rate, E for exempt)
AE, E, S, Z, G, O, K, L, M, B VAT exemption reason code (required when tax_code is E or other exempt categories)
VATEX-EU-79-C, VATEX-EU-132, VATEX-EU-132-1A, VATEX-EU-132-1B, VATEX-EU-132-1C, VATEX-EU-132-1D, VATEX-EU-132-1E, VATEX-EU-132-1F, VATEX-EU-132-1G, VATEX-EU-132-1H, VATEX-EU-132-1I, VATEX-EU-132-1J, VATEX-EU-132-1K, VATEX-EU-132-1L, VATEX-EU-132-1M, VATEX-EU-132-1N, VATEX-EU-132-1O, VATEX-EU-132-1P, VATEX-EU-132-1Q, VATEX-EU-143, VATEX-EU-143-1A, VATEX-EU-143-1B, VATEX-EU-143-1C, VATEX-EU-143-1D, VATEX-EU-143-1E, VATEX-EU-143-1F, VATEX-EU-143-1FA, VATEX-EU-143-1G, VATEX-EU-143-1H, VATEX-EU-143-1I, VATEX-EU-143-1J, VATEX-EU-143-1K, VATEX-EU-143-1L, VATEX-EU-144, VATEX-EU-146-1E, VATEX-EU-148, VATEX-EU-148-A, VATEX-EU-148-B, VATEX-EU-148-C, VATEX-EU-148-D, VATEX-EU-148-E, VATEX-EU-148-F, VATEX-EU-148-G, VATEX-EU-151, VATEX-EU-151-1A, VATEX-EU-151-1AA, VATEX-EU-151-1B, VATEX-EU-151-1C, VATEX-EU-151-1D, VATEX-EU-151-1E, VATEX-EU-159, VATEX-EU-309, VATEX-EU-AE, VATEX-EU-D, VATEX-EU-F, VATEX-EU-G, VATEX-EU-I, VATEX-EU-IC, VATEX-EU-O, VATEX-EU-J, VATEX-FR-FRANCHISE, VATEX-FR-CNWVAT Textual explanation for VAT exemption
The taxable base of the invoice. Should be the sum of all line items - allowances (for example commercial discounts) + charges with impact on VAT. Must be positive and rounded to maximum 2 decimals
The net financial discount/charge of the invoice (non-VAT charges minus non-VAT allowances). Can be positive (net charge), negative (net discount), or zero. Must be rounded to maximum 2 decimals
The total tax amount of the invoice. Must be positive and rounded to maximum 2 decimals
The total amount of the invoice including tax (invoice_total = subtotal + total_tax + total_discount). Must be positive and rounded to maximum 2 decimals
The amount due for payment. Must be positive and rounded to maximum 2 decimals
The previous unpaid balance from prior invoices, if any. Must be positive and rounded to maximum 2 decimals
The address where payment should be sent or remitted to
The recipient name at the remittance address
The address where services were performed or goods were delivered
The recipient name at the service address
The start date of the service period or delivery period
The end date of the service period or delivery period
Vendor tax ID. For Belgium this is the VAT number. Must include the country prefix
"BE1018265814"
Vendor company ID. For Belgium this is the CBE number or their EUID (European Unique Identifier) number. In the Netherlands this is the KVK number.
"1018265814"
Customer tax ID. For Belgium this is the VAT number. Must include the country prefix
"BE1018265814"
Customer company ID. For Belgium this is the CBE number or their EUID (European Unique Identifier) number. In the Netherlands this is the KVK number.
"1018265814"
Customer Peppol ID
"0208:0123456789"
The payment terms (e.g., 'Net 30', 'Due on receipt', '2/10 Net 30')
Show child attributes
Show child attributes
At least one line item is required
1Show child attributes
Show child attributes
Show child attributes
Show child attributes